/**
 */
package com.sifang.modules.flowpath.service;


import com.sifang.modules.sys.common.service.BaseService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.sifang.modules.flowpath.entity.TraderApplyAgent;
import com.sifang.modules.flowpath.dao.TraderApplyAgentDao;

/**
 * 代理商审批代理信息Service
 * @author lzp
 * @version 
 */
@Component
@Transactional(readOnly = true)
public class TraderApplyAgentService extends BaseService {

	@Autowired
	private TraderApplyAgentDao traderApplyAgentDao;

	
	public TraderApplyAgent get(String id) {
		return traderApplyAgentDao.get(id);
	}

	
	@Transactional(readOnly = true)
	public void save(TraderApplyAgent traderApplyAgent) {
		traderApplyAgentDao.save(traderApplyAgent);
	}
	
	@Transactional(readOnly = true)
	public void delete(String id) {
		traderApplyAgentDao.deleteById(id);
	}

	
}
